package com.link.core.util.dynamicredis;

import java.util.List;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "dynamicredis"
)
public class DynamicRedisProps {
   private Boolean enable = false;
   private List<String> name;
   private List<String> password;
   private List<String> nodes;
   private List<Integer> expireSeconds;
   private List<Integer> commandTimeout;

   public List<String> getName() {
      return this.name;
   }

   public void setName(List<String> name) {
      this.name = name;
   }

   public List<String> getPassword() {
      return this.password;
   }

   public void setPassword(List<String> password) {
      this.password = password;
   }

   public List<String> getNodes() {
      return this.nodes;
   }

   public void setNodes(List<String> nodes) {
      this.nodes = nodes;
   }

   public List<Integer> getExpireSeconds() {
      return this.expireSeconds;
   }

   public void setExpireSeconds(List<Integer> expireSeconds) {
      this.expireSeconds = expireSeconds;
   }

   public List<Integer> getCommandTimeout() {
      return this.commandTimeout;
   }

   public void setCommandTimeout(List<Integer> commandTimeout) {
      this.commandTimeout = commandTimeout;
   }

   public Boolean getEnable() {
      return this.enable;
   }

   public void setEnable(Boolean enable) {
      this.enable = enable;
   }
}
